### Enumeration

# AppStream PoolError

since: 1.0

#### Declaration

    error-domain AppStream.PoolError

#### Description [src]

A metadata pool error.

Available since: 1.0

#### Members

`AS_POOL_ERROR_FAILED`

  Generic failure.

  - Value: `0`
  - Nickname: `failed`
  - Available since: 1.0
`AS_POOL_ERROR_INCOMPLETE`

  The pool was loaded, but we had to ignore some metadata.

  - Value: `1`
  - Nickname: `incomplete`
  - Available since: 1.0
`AS_POOL_ERROR_COLLISION`

  An AppStream-ID collision occured (a component with that ID already existed in the pool)

  - Value: `2`
  - Nickname: `collision`
  - Available since: 1.0
`AS_POOL_ERROR_CACHE_WRITE_FAILED`

  Unable to write to any cache file (not even tmpfs writes worked)

  - Value: `3`
  - Nickname: `cache-write-failed`
  - Available since: 1.0
`AS_POOL_ERROR_CACHE_DAMAGED`

  The disk cache was broken and we could not automatically recover.

  - Value: `4`
  - Nickname: `cache-damaged`
  - Available since: 1.0

#### Type functions

###### as_pool_error_quark

No description available.

since: 1.0